<template>
  <div>
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'slideup-everywher mt-140'
          : 'slideup-everywher mt-140 pr-12 pl-12'
      "
    >
      <!-- part-one  -->
      <v-row
        :class="
          $vuetify.breakpoint.smAndDown ? 'pa-2 text-center' : 'pa-12 text-center'
        "
        align="center"
        justify="center"
      >
        <v-col cols="12" md="7">
          <div class="text-center contact-intro-description">
            <h1 class="allh1-headline">{{ $t('contactUs') }}</h1>
            <h3>{{ $t('contactUsMessage1') }}</h3>
            <p>{{ $t('contactUsMessage2') }}</p>
          </div>
        </v-col>
      </v-row>
      <v-row
        align="center"
        justify="center"
        :class="$vuetify.breakpoint.smAndDown ? 'mt-4 mb-12' : 'pa-4 mt-4 mb-12'"
      >
        <v-col
          v-for="(item, n) in cards"
          :key="n"
          cols="12"
          sm="6"
          md="4"
          class="contact-halo"
        >
          <ContactCard :icon="item.icon" :title="item.title" :value="item.value" />
        </v-col>
      </v-row>
      <!-- map  -->
      <v-row
        align="center"
        justify="center"
        :class="$vuetify.breakpoint.smAndDown ? 'mt-4 mb-12' : 'pa-12'"
      >
        <v-col v-scrollAnime cols="12">
          <div class="text-center home-description">
            <h1>{{ $t('footer.companyAddress') }}</h1>
            <p class="text-h5">{{ $t('address') }}</p>

            <div class="text-center">
              <v-btn
                x-large
                depressed
                rel="nofollow"
                class="hidden-md-and-up"
                href="geo:35.7150412,51.4008997"
              >
                {{ $t('followMetoAs') }}</v-btn
              >
              <v-btn
                x-large
                depressed
                rel="nofollow"
                class="hidden-md-and-down"
                href="https://maps.google.de/maps?q=35.7150412,51.4008997"
              >
                {{ $t('followMetoAs') }}
              </v-btn>
            </div>
          </div>
        </v-col>
        <v-col
          cols="12"
          md="4"
          :class="
            $vuetify.breakpoint.smAndDown ? 'text-center' : 'pa-12 text-center'
          "
        >
          <div>
            <v-img
              :src="require('../assets/images/location.svg')"
              :srcset="require('../assets/images/location.svg')"
              :lazy-src="require('../assets/images/location.svg')"
              contain
            ></v-img>
          </div>
        </v-col>
        <v-col
          cols="12"
          md="6"
          :class="
            $vuetify.breakpoint.smAndDown ? 'text-center' : 'pa-12 text-center'
          "
        >
          <div id="mapContainer"></div>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
export default {
  data() {
    return {
      map: null,
      i: this.$t('contactPo'),
      cards: [
        {
          title: `${this.$t('telephoneNumber')}`,
          value: this.$i18n.t('telephone'),
          icon: 'mdi-phone-hangup-outline',
        },
        {
          title: this.$i18n.t('crm'),
          value: 'crm.aasaam.com',
          icon: 'mdi-bell-circle-outline',
        },
      ],
    };
  },

  mounted() {
    this.callcontact();
    this.findIcon();
    const greenIcon = this.$L.icon({
      iconUrl: require('../assets/images/map.png'),
      iconSize: [30, 46],
      iconAnchor: [15, 44],
      popupAnchor: [15, 44],
    });
    this.map = this.$L.map('mapContainer').setView([35.7150412, 51.4008997], 21);
    this.$L
      .tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
        attribution:
          '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors',
      })
      .addTo(this.map);
    this.$L.marker([35.7150412, 51.4008997], { icon: greenIcon }).addTo(this.map);
  },
  beforeDestroy() {
    if (this.map) {
      this.map.remove();
    }
  },
  methods: {
    callcontact() {
      this.$t('contactPo').forEach((i) => {
        this.cards.push({
          title: i.contactType,
          value: i.email,
          icon: '',
        });
      });
    },
    findIcon() {
      this.cards.forEach((item) => {
        if (item.title === 'support') {
          item.icon = 'mdi-face-agent';
        }
        if (item.title === 'sales') {
          item.icon = 'mdi-decagram-outline';
        }
        if (item.title === 'information') {
          item.icon = 'mdi-information-outline';
        }
      });
    },
  },
  head() {
    return {
      title: `${this.$t('callUs')} | ${this.$t('head.title')}`,
    };
  },
};
</script>
